package nasa.stps.core.xstps.hrit;

/**
 * @author tommyj
 * Hex representation of various JPEG marker values.
 */

public class JpegMarker {

    public static final char M_SOF0 = 0xc0;
    public static final char M_SOF1 = 0xc1;
    public static final char M_SOF2 = 0xc2;
    public static final char M_SOF3 = 0xc3;

    public static final char M_SOF5 = 0xc5;
    public static final char M_SOF6 = 0xc6;
    public static final char M_SOF7 = 0xc7;

    public static final char M_JPG = 0xc8;
    public static final char M_SOF9 = 0xc9;
    public static final char M_SOF10 = 0xca;
    public static final char M_SOF11 = 0xcb;

    public static final char M_SOF13 = 0xcd;
    public static final char M_SOF14 = 0xce;
    public static final char M_SOF15 = 0xcf;

    public static final char M_DHT = 0xc4;

    public static final char M_DAC = 0xcc;
    public static final char M_RST0 = 0xd0;
    public static final char M_RST1 = 0xd1;
    public static final char M_RST2 = 0xd2;
    public static final char M_RST3 = 0xd3;
    public static final char M_RST4 = 0xd4;
    public static final char M_RST5 = 0xd5;
    public static final char M_RST6 = 0xd6;
    public static final char M_RST7 = 0xd7;

    public static final char M_SOI = 0xd8;
    public static final char M_EOI = 0xd9;
    public static final char M_SOS = 0xda;
    public static final char M_DQT = 0xdb;
    public static final char M_DNL = 0xdc;
    public static final char M_DRI = 0xdd;
    public static final char M_DHP = 0xde;
    public static final char M_EXP = 0xdf;

    public static final char M_APP0 = 0xe0;
    public static final char M_APP15 = 0xef;

    public static final char M_JPG0 = 0xf0;
    public static final char M_JPG13 = 0xfd;
    public static final char M_COM = 0xfe;

    public static final char M_TEM = 0x01;

    public static final char M_ERROR = 0x100;
    
}
