package nasa.stps.viewer.status;
import nasa.stps.core.status.StatusItem;

/**
 * Viewer objects use this interface to get status items from the viewer's
 * status distributor or a proxy.
 * @author Stan Hilinski, July 2001
 */
public interface StatusListener
{
    /**
     * The listener gets a status item from the Distributor or its proxy.
     */
    public void processStatusItem(StatusItem item, String fullName);
}
