package nasa.stps.viewer.tables;
import nasa.stps.viewer.status.Distributor;
import javax.swing.table.AbstractTableModel;

final class BitstreamStatusRow extends StatusRow
{
    static final String[] ID =
    {
        "CADUs",
        "CADU Seq Errors",
        "Missing CADUs",
        "B_PDUs"
    };

    static final String[] HEADER =
    {
        "CADUs",
        "Seq Errs",
        "Lost CADUs",
        "B_PDUs Out"
    };

    BitstreamStatusRow(AbstractTableModel tm, String blockName,
            Distributor distributor, int row)
    {
        super(tm,"bitstream",blockName,ID,distributor,row);
    }
}
