package nasa.stps.core;

/**
 * This class represents an STPS error.
 * @author Stan Hilinski, March 2001
 */
public final class StpsException extends Exception implements 
        java.io.Serializable
{
    /**
     * Create an STPS exception with a specific message.
     */
    public StpsException(String message)
    {
        super(message);
    }

    /**
     * Change an exception to an STPS exception.
     */
    public StpsException(Exception e)
    {
        super(e.getMessage());
    }
}
