package nasa.stps.viewer.commands;

/**
 * Classes that implement this interface listen for command state change
 * notification.
 * @author Stan Hilinski, July 2001
 */
public interface CommandStateListener
{
    public static final int UNLOADED = 0;
    public static final int LOADED_STOPPED = 1;
    public static final int LOADED_GO = 2;

    public void commandStateChange(int state);
}