package nasa.stps.viewer.tables;
import nasa.stps.viewer.status.Distributor;
import javax.swing.table.AbstractTableModel;

/**
 * This is a path service row in the vc status table.
 * @author Stan Hilinski, August 2001
 */
final class PathStatusRow extends StatusRow
{
    static final String[] ID = 
    {
        "CADUs",
        "CADU Seq Errors",
        "Missing CADUs", 
        "Output Packets",
        "Discarded Fragments",
        "Unrouteable Packets"
    };

    static final String[] HEADER = 
    {
        "CADUs",
        "Seq Errs",
        "Lost CADUs", 
        "Packets Out",
        "Lost Fragments",
        "Unrouted Pkts"
    };

    PathStatusRow(AbstractTableModel tm, String blockName,
            Distributor distributor, int row)
    {
        super(tm,"path",blockName,ID,distributor,row);
    }
}
