package nasa.stps.viewer.tables;
import nasa.stps.viewer.status.Distributor;
import javax.swing.table.AbstractTableModel;

/**
 * This class is one VCDU row is a status table.
 * @author Stan Hilinski, August 2001
 */
final class VcduStatusRow extends StatusRow
{
    static final String[] ID = 
    {
        "CADUs",
        "CADU Seq Errors",
        "Missing CADUs",
        "VCDUs"
    };

    static final String[] HEADER = 
    {
        "CADUs",
        "Seq Errs",
        "Lost CADUs",
        "VCDUs Out"
    };

    VcduStatusRow(AbstractTableModel tm, String blockName,
            Distributor distributor, int row)
    {
        super(tm,"vcdu",blockName,ID,distributor,row);
    }
}
